## flask-kvsession 0.6.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest theme

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf _themes master.zip

master.zip:
	wget 'https://github.com/mitsuhiko/flask-sphinx-themes/archive/master.zip'

_themes: master.zip
	unzip -D -o master.zip && mv flask-sphinx-themes-master _themes

theme: _themes

html: theme
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: theme
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: theme
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-KVsession.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-KVsession.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-KVsession"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-KVsession"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
flask-kvsession (0.6.4-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * New upstream version 0.6.4
  * Bump Standards-Version to 4.6.1 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 29 Jul 2022 10:54:57 +0200

flask-kvsession (0.6.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.6.3
  * Update upstream information
  * Refresh patch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Feb 2020 17:02:58 +0100

flask-kvsession (0.6.2-0kali2) kali-dev; urgency=medium

  * Remove Python 2 module

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Dec 2019 12:34:58 +0100

flask-kvsession (0.6.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Oct 2019 11:38:56 +0200

=== debian/control ===
Source: flask-kvsession
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-sphinx, python3-flask, python3-simplekv
Standards-Version: 4.6.1
Homepage: https://pypi.org/project/Flask-KVSession-fork
Vcs-Browser: https://gitlab.com/kalilinux/packages/flask-kvsession
Vcs-Git: https://gitlab.com/kalilinux/packages/flask-kvsession.git

Package: python3-flask-kvsession
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-flask-kvsession-doc
Description: Flask's session handling using server-side sessions (Python 3)
 This package contains server-side session replacement for Flask's signed
 client-based session management. Instead of storing data on the client, only a
 securely generated ID is stored on the client, while the actual session data
 resides on the server.
 .
 This has two major advantages:
   - Clients no longer see the session information
   - It is possible to securely destroy sessions to protect against replay
     attacks.
 .
 Other things are possible with server side session that are impossible with
 clients side sessions, like inspecting and manipulating data in absence of the
 client.
 .
 This package installs the library for Python 3.

Package: python-flask-kvsession-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Flask's session handling using server-side sessions (common documentation)
 This package contains server-side session replacement for Flask's signed
 client-based session management. Instead of storing data on the client, only a
 securely generated ID is stored on the client, while the actual session data
 resides on the server.
 .
 This has two major advantages:
   - Clients no longer see the session information
   - It is possible to securely destroy sessions to protect against replay
     attacks.
 .
 Other things are possible with server side session that are impossible with
 clients side sessions, like inspecting and manipulating data in absence of the
 client.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-kvsession

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

=== debian/tests/control ===
Test-Command: debian/tests/basic-test.sh test_install_python3
Depends: python3-flask-kvsession, python3-all
Restrictions: allow-stderr, superficial

## flask-kvsession 0.6.4+git20150814.1.83238b7

=== debian/changelog ===
flask-kvsession (0.6.4+git20150814.1.83238b7-0kali1~jan+nus3) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Thu, 29 Dec 2022 22:44:03 -0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-sphinx, python3-flask, python3-simplekv
 Standards-Version: 4.6.1
-Homepage: https://pypi.org/project/Flask-KVSession-fork
+Homepage: https://github.com/infobyte/flask-kvsession
 Vcs-Browser: https://gitlab.com/kalilinux/packages/flask-kvsession
 Vcs-Git: https://gitlab.com/kalilinux/packages/flask-kvsession.git

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/f/Flask-KVSession-fork/ \
    Flask-KVSession-fork-([\d\.]+).tar.gz debian uupdate
